Up

# NSPrinter

### Authors

Chad Hardin (`cehardin@mac.com`)

> Class representing a printer's capabilities.

Copyright: (C) 1996, 1997, 2004 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSPrinter class
2. Software documentation for the NSPrinter(PPDParsing) category
3. Software documentation for the NSPrinter(Private) category

# Software documentation for the NSPrinter class

## NSPrinter : NSObject

> Declared in:
>   AppKit/NSPrinter.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -parsePPDAtPath:
- -initWithName:withType:withHost:withNote:
- +printerNames
- +printerTypes
- +printerWithName:
- +printerWithType:
- -acceptsBinary
- -booleanForKey:inTable:
- -deviceDescription
- -encodeWithCoder:
- -floatForKey:inTable:
- -host
- -imageRectForPaper:
- -initWithCoder:
- -intForKey:inTable:
- -isColor
- -isFontAvailable:
- -isKey:inTable:
- -isOutputStackInReverseOrder
- -languageLevel
- -name
- -note
- -pageSizeForPaper:
- -rectForKey:inTable:
- -sizeForKey:inTable:
- -statusForTable:
- -stringForKey:inTable:
- -stringListForKey:inTable:
- -type

### printerNames

+ (NSArray*) printerNames;
Availability: OpenStep
Description forthcoming.

### printerTypes

+ (NSArray*) printerTypes;
Availability: OpenStep
Description forthcoming.

### printerWithName:

+ (NSPrinter*) printerWithName: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### printerWithType:

+ (NSPrinter*) printerWithType: (NSString*)type;
Availability: OpenStep
Description forthcoming.

### acceptsBinary

- (BOOL) acceptsBinary;
Availability: OpenStep
Description forthcoming.

### booleanForKey: inTable:

- (BOOL) booleanForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### deviceDescription

- (NSDictionary*) deviceDescription;
Availability: OpenStep
Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;
Availability: OpenStep
Description forthcoming.

### floatForKey: inTable:

- (float) floatForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### host

- (NSString*) host;
Availability: OpenStep
Description forthcoming.

### imageRectForPaper:

- (NSRect) imageRectForPaper: (NSString*)paperName;
Availability: OpenStep
Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;
Availability: OpenStep
Description forthcoming.

### intForKey: inTable:

- (int) intForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### isColor

- (BOOL) isColor;
Availability: OpenStep
Description forthcoming.

### isFontAvailable:

- (BOOL) isFontAvailable: (NSString*)fontName;
Availability: OpenStep
Description forthcoming.

### isKey: inTable:

- (BOOL) isKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### isOutputStackInReverseOrder

- (BOOL) isOutputStackInReverseOrder;
Availability: OpenStep
Description forthcoming.

### languageLevel

- (int) languageLevel;
Availability: OpenStep
Description forthcoming.

### name

- (NSString*) name;
Availability: OpenStep
Description forthcoming.

### note

- (NSString*) note;
Availability: OpenStep
Description forthcoming.

### pageSizeForPaper:

- (NSSize) pageSizeForPaper: (NSString*)paperName;
Availability: OpenStep
Description forthcoming.

### rectForKey: inTable:

- (NSRect) rectForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### sizeForKey: inTable:

- (NSSize) sizeForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### statusForTable:

- (NSPrinterTableStatus) statusForTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### stringForKey: inTable:

- (NSString*) stringForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### stringListForKey: inTable:

- (NSArray*) stringListForKey: (NSString*)key inTable: (NSString*)table;
Availability: OpenStep
Description forthcoming.

### type

- (NSString*) type;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSPrinter Class

### _printerHost

@protected NSString* _printerHost;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _printerName

@protected NSString* _printerName;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _printerNote

@protected NSString* _printerNote;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _printerType

@protected NSString* _printerType;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tables

@protected NSMutableDictionary* _tables;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSPrinter(PPDParsing) category

## NSPrinter(PPDParsing)

> Declared in:
>   AppKit/NSPrinter.h

Availability: OpenStep
Description forthcoming.
Method summary

- -parsePPDAtPath:

### parsePPDAtPath:

- (BOOL) parsePPDAtPath: (NSString*)ppdPath;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSPrinter(Private) category

## NSPrinter(Private)

> Declared in:
>   AppKit/NSPrinter.h

Availability: OpenStep
Warning this category is private, which means that the methods are for internal use by the package. You should not use them in external code.
Method summary

- -initWithName:withType:withHost:withNote:

### initWithName: withType: withHost: withNote:

- (id) initWithName: (NSString*)name withType: (NSString*)type withHost: (NSString*)host withNote: (NSString*)note;
Availability: OpenStep
Description forthcoming.

Up